Questions on creating libunicode-collate-perl and removing it from perl-modules

Danai SAE-HAN (韓達耐) danai.saehan at
Sat Oct 30 20:36:43 UTC 2010

Hi list

For the Biber package I need a more recent Unicode::Collate version,
and wish to create a libunicode-collate-(xs)-perl package and remove
it from perl-modules (a Debian bug report will be created once I have
my package ready).
The package contains two configurations, one with XS, another without
(see source at [1]).  There is no separate XS package, and the
XS-enabled version has the same Perl namespace as the XS-disabled

How shall I proceed?  Create an XS-disabled and an XS-enabled version,
and put a Conflict between them?  Or shall I just package the
XS-enabled version, so that the Debian packages always use the fastest
possible version of libunicode-collate-perl (and if people want the
XS-disabled version, they can always download the package themselves

I am inclined to only create a package for the XS-enabled version, and
call it "libunicode-collate-xs-perl", but I wish to have the opinion
of the other Debian Perl packagers.

[1] ttp://



More information about the pkg-perl-maintainers mailing list